# DocumentRange : Object
Return to: HTML DOM Level 2 index

Interface for creating a new Range.

## Platform Support

IE | Mozilla | Netscape | Opera | Safari
--- | --- | --- | --- | ---
3.0+ | 1.0+ | 2.0+ | 7.0+ | 1.0+

## Constructors

Constructor | Action | IE | Mozilla | Netscape | Opera | Safari
--- | --- | --- | --- | --- | --- | ---
DocumentRange Constructor() : DocumentRange Interface for creating a new Range. | Show Details | 3.0+ | 1.0+ | 2.0+ | 7.0+ | 1.0+

### DocumentRange() : DocumentRange

Interface for creating a new Range.

Returns

DocumentRange |

Visibility
  internal

## Functions

Method | Action | IE | Mozilla | Netscape | Opera | Safari
--- | --- | --- | --- | --- | --- | ---
createRange() : Range Creates a new Range. | Show Details | 3.0+ | 1.0+ | 2.0+ | 7.0+ | 1.0+

Returns

Range |

Availability

  HTML DOM Level 2|W3C

## Availability

HTML DOM Level 2|W3C

text_javascript aptana_docs